/**
* 文件：RoleAuthQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.role.model;
import java.util.List;
/**
 * <p>Title: 角色资源权限</p>
 * <p>Description: RoleAuthQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class RoleAuthQuery extends RoleAuthEntity{
	private static final long serialVersionUID = 1547777703349L;
	/** 开始 序号，主键，自增长 */
	private Long idStart;

	/** 结束 序号，主键，自增长 */
	private Long idEnd;

	/** 增加 序号，主键，自增长 */
	private Long idIncrement;

	/** 序号，主键，自增长 */
	private List<Long> idList;

	/** 开始 角色ID */
	private Long roleIdStart;

	/** 结束 角色ID */
	private Long roleIdEnd;

	/** 增加 角色ID */
	private Long roleIdIncrement;

	/** 角色ID */
	private List<Long> roleIdList;

	/** 开始 资源ID */
	private Long resourceIdStart;

	/** 结束 资源ID */
	private Long resourceIdEnd;

	/** 增加 资源ID */
	private Long resourceIdIncrement;

	/** 资源ID */
	private List<Long> resourceIdList;


	public RoleAuthQuery(){
	}
	/**
	 * 获取 开始 序号，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 序号，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 序号，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 序号，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 序号，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 序号，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 序号，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 序号，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 角色ID
	 * @return roleIdStart
	 */
	public Long getRoleIdStart(){
		return this.roleIdStart;
	}

	/**
	 * 设置 开始 角色ID
	 * @param roleIdStart
	 */
	public void setRoleIdStart(Long roleIdStart){
		this.roleIdStart = roleIdStart;
	}

	/**
	 * 获取 结束 角色ID
	 * @return roleIdEnd
	 */
	public Long getRoleIdEnd(){
		return this.roleIdEnd;
	}

	/**
	 * 设置 结束 角色ID
	 * @param roleIdEnd
	 */
	public void setRoleIdEnd(Long roleIdEnd){
		this.roleIdEnd = roleIdEnd;
	}

	/**
	 * 获取 增加 角色ID
	 * @return roleIdIncrement
	 */
	public Long getRoleIdIncrement(){
		return this.roleIdIncrement;
	}

	/**
	 * 设置 增加 角色ID
	 * @param roleIdIncrement
	 */
	public void setRoleIdIncrement(Long roleIdIncrement){
		this.roleIdIncrement = roleIdIncrement;
	}

	/**
	 * 获取 角色ID
	 * @return roleIdList
	 */
	public List<Long> getRoleIdList(){
		return this.roleIdList;
	}

	/**
	 * 设置 角色ID
	 * @param roleIdList
	 */
	public void setRoleIdList(List<Long> roleIdList){
		this.roleIdList = roleIdList;
	}

	/**
	 * 获取 开始 资源ID
	 * @return resourceIdStart
	 */
	public Long getResourceIdStart(){
		return this.resourceIdStart;
	}

	/**
	 * 设置 开始 资源ID
	 * @param resourceIdStart
	 */
	public void setResourceIdStart(Long resourceIdStart){
		this.resourceIdStart = resourceIdStart;
	}

	/**
	 * 获取 结束 资源ID
	 * @return resourceIdEnd
	 */
	public Long getResourceIdEnd(){
		return this.resourceIdEnd;
	}

	/**
	 * 设置 结束 资源ID
	 * @param resourceIdEnd
	 */
	public void setResourceIdEnd(Long resourceIdEnd){
		this.resourceIdEnd = resourceIdEnd;
	}

	/**
	 * 获取 增加 资源ID
	 * @return resourceIdIncrement
	 */
	public Long getResourceIdIncrement(){
		return this.resourceIdIncrement;
	}

	/**
	 * 设置 增加 资源ID
	 * @param resourceIdIncrement
	 */
	public void setResourceIdIncrement(Long resourceIdIncrement){
		this.resourceIdIncrement = resourceIdIncrement;
	}

	/**
	 * 获取 资源ID
	 * @return resourceIdList
	 */
	public List<Long> getResourceIdList(){
		return this.resourceIdList;
	}

	/**
	 * 设置 资源ID
	 * @param resourceIdList
	 */
	public void setResourceIdList(List<Long> resourceIdList){
		this.resourceIdList = resourceIdList;
	}


}